{% extends "dashboard/dashboard_content.html" %}


{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Wifi - Account Info
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-md-8 col-md-offset-2">
                    <table class="table table-bordered text-center">
                        <tbody>
                        <tr class="alert-success">
                            <th class="text-center">Username</th>
                            <td>{{ info.username }}</td>
                        </tr>
                        <tr class="alert-danger">
                            <th class="text-center">Password</th>
                            <td id="id_show_password">{{ info.password }}</td>
                            <td id="id_selector_button">
                                <button class="btn btn-warning" id="show_password_button"
                                        style="{
                                            padding: 10px 10px;
                                            font-size: 22px;
                                            border-radius: 8px;
                                            }
                                ">Show password</button>
                            </td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">MAC ID</th>
                            <td>{{ info.mac_id }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">Device</th>
                            <td>{{ info.device_type }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">Make and Model</th>
                            <td>{{ info.model }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">OS</th>
                            <td>{{ info.os }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">Request Status</th>
                            <td>{{ info.request_status }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">Account Status</th>
                            <td>{{ info.account_status }}</td>
                        </tr>
                        {% if info.new_mac %}
                            <tr class="alert-warning">
                                <th class="text-center">New MAC Requested</th>
                                <td>{{ info.new_mac }}</td>
                            </tr>
                            <tr class="inverse alert-warning">
                                <th class="text-center">Change MAC status</th>
                                <td>{{ info.new_mac_status }}</td>
                            </tr>
                        {% endif %}
                        </tbody>
                    </table>
                    {% if info.account_status != 'Pending' and not info.new_mac %}
                        <div class="col-sm-2 col-sm-offset-2">
                            <button type="submit" class="save btn btn-lg btn-warning"
                                    value="change_mac" id="change_mac">Change MAC ID
                            </button>
                        </div>
                        <div class="col-sm-2 col-sm-offset-2">
                            <button type="submit" class="save btn btn-lg btn-success"
                                    value="reset" id="reset_password">Reset Password
                            </button>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        $('#id_show_password').hide();
        $('document').ready(function () {
            $('#reset_password').click(function () {
                window.location.href = "{% url 'reset_wifi_password' %}"
            });
            $('#change_mac').click(function () {
                window.location.href = "{% url 'new_mac' %}"
            });
            $('#show_password_button').click(function () {
                $('#id_show_password').show();
                $('#id_selector_button').hide();
            });
        });
    </script>

{% endblock %}

